Bug 177359 - Speedometer: Add missing build scripts for Vue.js example
Summary: Speedometer: Add missing build scripts for Vue.js example
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 172339 177358
  Show dependency treegraph
 
Reported: 2017-09-22 05:34 PDT by Mathias Bynens
Modified: 2017-09-27 12:18 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.98 MB, patch)
2017-09-22 05:53 PDT, Mathias Bynens
no flags Details | Formatted Diff | Diff
Results before and after applying the patch (93.58 KB, application/pdf)
2017-09-24 23:31 PDT, Mathias Bynens
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Bynens 2017-09-22 05:34:34 PDT
While looking into #177358 I noticed that the Vue.js example is missing the `build` folder. This directory contains the build scripts needed to update `dist/*`.

It had not been checked in because previously, all `build` directories were ignored by `.gitignore`. An exception was recently added for the Speedometer directory, so now we can check it in. I’ll submit a patch.
Comment 1 Mathias Bynens 2017-09-22 05:53:23 PDT
Created attachment 321534 [details]
Patch
Comment 2 Mathias Bynens 2017-09-22 05:54:15 PDT
Note that this patch fixes #177358 as well, but only for the Vue.js example. I’ll submit a separate patch that fixes the others.
Comment 3 Addy Osmani 2017-09-22 15:39:20 PDT
This should lead to a cleaner rebuild/update Vue implementation cycle in the future. Thanks for going ahead and submitting a patch for fixing the build.
Comment 4 Ryosuke Niwa 2017-09-22 15:58:38 PDT
Did you test to make sure scores don't change before/after the change?
Comment 5 Mathias Bynens 2017-09-24 23:31:36 PDT
Created attachment 321670 [details]
Results before and after applying the patch
Comment 6 WebKit Commit Bot 2017-09-25 20:29:59 PDT
Comment on attachment 321534 [details]
Patch

Clearing flags on attachment: 321534

Committed r222488: <http://trac.webkit.org/changeset/222488>
Comment 7 WebKit Commit Bot 2017-09-25 20:30:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2017-09-27 12:18:34 PDT
<rdar://problem/34693004>